<?php

$CONF['configured'] = true;
{% if mailserver_postfixadmin_setup_password is defined %}
$CONF['setup_password'] = '{{ mailserver_postfixadmin_setup_password }}';
{% endif %}


$CONF['database_type'] = '{{ mailserver_db_type }}';
$CONF['database_host'] = '{{ mailserver_db_host }}';
$CONF['database_name'] = '{{ mailserver_db_name }}';
$CONF['database_user'] = '{{ mailserver_db_user }}';
$CONF['database_password'] = '{{ mailserver_db_password }}';

$CONF['domain_path'] = 'YES';
$CONF['domain_in_mailbox'] = 'NO';

$CONF['encrypt'] = 'dovecot:SHA512-CRYPT';

$CONF['theme'] = 'bootstrap';
$CONF['page_size'] = '10';

$CONF['aliases'] = '0';
$CONF['mailboxes'] = '0';
$CONF['maxquota'] = '0';

{% if mailserver_postfixadmin_domain == "" %}
$CONF['footer_text'] = 'Return to {{ inventory_hostname }}/postfixadmin';
$CONF['footer_link'] = 'https://{{ inventory_hostname }}/postfixadmin';
{% else %}
$CONF['footer_text'] = 'Return to {{ mailserver_postfixadmin_domain }}';
$CONF['footer_link'] = 'https://{{ mailserver_postfixadmin_domain }}';
{% endif %}
$CONF['default_aliases'] = array (
{% for k,v in mailserver_postfixadmin_default_aliases.items() %}
    '{{ k }}' => '{{ v }}',
{% endfor %}
);
$CONF['admin_email'] = '{{ mailserver_postfixadmin_mail_admin }}';
$CONF['admin_name'] = 'Hosting of {{ mailserver_mail_domain }}';

$CONF['password_validation'] = array(
#    '/regular expression/' => '$PALANG key (optional: + parameter)',
    '/.{5}/'                => 'password_too_short 5',      # minimum length 5 characters
    '/([a-zA-Z].*){3}/'     => 'password_no_characters 3',  # must contain at least 3 characters
#    '/([0-9].*){2}/'        => 'password_no_digits 2',      # must contain at least 2 digits
);
